baseline {baseline} | R Documentation

## Baseline correction

### Description

Common framework for baseline correction

### Usage

    baseline(spectra, method = "irls", ...)

### Arguments

`spectra` | Matrix with spectra in rows
`method` | Baseline correction method
`...` | Additional parameters, sent to the method

### Details

Estimates baselines for the `spectra`, using the algorithm named in `method`.

### Value

An object of class `baseline`.

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### See Also

The functions implementing the baseline algorithms: `baseline.als`, `baseline.fillPeaks`, `baseline.irls`, `baseline.lowpass`, `baseline.medianWindow`, `baseline.modpolyfit`, `baseline.peakDetection`, `baseline.rfbaseline`, `baseline.rollingBall`, `baseline.shirley`

### Examples

    # Load data
    data(milk)
    # The baseline() function is an S4 wrapper for all the different
    # baseline correction methods. The default correction method
    # is IRLS. Data must be organized as row vectors in a matrix
    # or data.frame.
    bc.irls <- baseline(milk$spectra[1,, drop=FALSE])
    ## Not run:
      # Computationally heavy
    	plot(bc.irls)

    ## End(Not run)

    # Available extractors are:
    # getBaseline(bc.irls)
    # getSpectra(bc.irls)
    # getCorrected(bc.irls)
    # getCall(bc.irls)

    # Correction methods and parameters can be specified through the wrapper.
    bc.fillPeaks <- baseline(milk$spectra[1,, drop=FALSE], lambda=6,
    	hwi=50, it=10, int=2000, method='fillPeaks')
    ## Not run:
      # Computationally heavy
    	plot(bc.fillPeaks)

    ## End(Not run)

    # If a suitable gWidgets implementation is installed, a
    # graphical user interface is available for interactive
    # parameter adaption.
    ## Not run:
      # Dependent on external software
      baselineGUI(milk$spectra)

    ## End(Not run)

[Package baseline version 1.2-1 Index]